# Manuel de l'utilisateur de KDE

&Lauri.Watts; &Lauri.Watts.mail;
02-02-2004
Environnement de bureau KDE
qtoptions
7

# Options Qt

Options en lignes de commande communes pour toutes les applications fondées sur la boîte à outils Qt

    application Qt options génériques Qt

## Options

Les options suivantes l'appliquent à toutes les applications &Qt; :

`--display` `displayname`

  Utilise le display `displayname` pour le serveur X.

`--session` `sessionId`

  Restaure l'application pour la `sessionId` donnée.

`--cmap`

  L'application installera une palette de couleur privée sur un affichage 8 bits.

`--ncols` `count`

  Limite le nombre de couleurs alloues dans le cube de couleurs dans un affichage 8 bits, si l'application utiliser les spécifications de couleurs `QApplication::ManyColor`.

`--nograb`

  Indique à &Qt; de ne jamais capturer la souris ou le clavier.

`--dograb`

  Utiliser avec un débogueur peut causer un `--nograb` implicite, utiliser `--dograb` pour écraser.

`--sync`

  (Dés)active le mode synchronisé pour le déboguage.

`--fn`,`--font` `fontname`

  Définit la fonte de l'application.

`--bg`,`--background` `color`

  Règle la couleur d'arrière plan par défaut et une palette pour l'application (les teintes claires et sombres sont calculées).

`--fg`,`--foreground` `color`

  Règle la couleur d'avant-plan par défaut

`--btn`,`--button` `color`

  Règle la couleur par défaut des boutons.

`--name` `name`

  Règle le nom de l'application.

`--title` `title`

  Règle le titre de l'application (légende)

`--visual` `TrueColor`

  Force l'application à utiliser un visuel `TrueColor` sur un affichage 8 bits.

`--inputstyle` `inputstyle`

  Règle le style d'entrée XIM (X Input Method). Les valeurs possibles sont `onthespot`, `overthespot`, `offthespot` et `root`.

`--im` `XIM server`

  Règle le serveur XIM.

`--noxim`

  Désactive XIM

## Voir également

kde-options.7

## Auteurs

Page man écrite par &Lauri.Watts; &Lauri.Watts.mail;